Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062993 - [RFE] add pop3(110) and imap(143) services
Summary: [RFE] add pop3(110) and imap(143) services
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 23
Hardware: x86_64
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-09 13:41 UTC by Marian
Modified: 2016-12-20 12:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 12:44:46 UTC


Attachments (Terms of Use)

Description Marian 2014-02-09 13:41:29 UTC
Description of problem:
On default when open pop3 service allocate another port that coresponds to another service (imaps,imaps)

Version-Release number of selected component (if applicable):
0.3.8
firewall-config
How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Must be edited manual before start business

Expected results:
To know all service and corresponding ports

Additional info:

Comment 1 Jiri Popelka 2014-02-10 17:07:35 UTC
Hi Marian,

I have problems understanding what's the exact problem.
Is something wrong with the existing pop3s (995/tcp) or imaps (993/tcp) services or is there perhaps some other predefined service missing ?

Comment 2 Hajime Taira 2014-05-08 09:07:29 UTC
I think so, existing pop3s or imaps is not wrong.
But pop3(110) and imap(143) are defined by well-known port in /etc/services.
Should we add those services into pre-defined service of firwalld?

Comment 3 Jiri Popelka 2014-05-09 08:55:21 UTC
I see, thanks.

Comment 4 Hajime Taira 2015-03-11 07:29:48 UTC
Do you have any updates?
Should I post some patch to upstream?

Comment 5 Hajime Taira 2015-03-11 07:30:27 UTC
Rebase target to f22

Comment 6 Hajime Taira 2016-01-12 09:38:34 UTC
I submit pull request on GitHub.
https://github.com/t-woerner/firewalld/pull/66

Thanks.

Comment 7 Fedora End Of Life 2016-11-24 11:06:28 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2016-12-20 12:44:46 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.